curl --request POST \
--url http://127.0.0.1:8083/api/customers/{customer_id}/update \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Secret: <api-key>' \
--data '
{
"business_details": {
"business_name_english": "<string>",
"business_type": "Limited Liability Company",
"website": "https://www.example.com",
"business_identifier_type": "Business Registration",
"business_identifier_number": "<string>",
"business_identifier_country_code": "US",
"business_identifier_document_list": [
"<string>"
],
"business_name": "<string>",
"business_identifier_start_date": "2023-11-07T05:31:56Z",
"business_identifier_expiry_date": "2023-11-07T05:31:56Z"
},
"registration_address": {
"registration_address_line1": "<string>",
"registration_address_city": "<string>",
"registration_address_state": "<string>",
"registration_address_postcode": "<string>",
"registration_address_country_code": "US"
},
"account_usage": {
"operating_country": "US",
"goods_service_description": "<string>",
"industry_category_code": "<string>",
"account_usage_product_reference": "Financial Services",
"estimated_monthly_revenue_currency": "USD",
"estimated_monthly_revenue_amount": 99.99
},
"primary_contact": {
"contact_phone": "+8613800138000",
"contact_email": "service@gemini.com"
},
"business_person_list": [
{
"basic_info": {
"first_name_english": "<string>",
"last_name_english": "<string>",
"birth_date": "2023-11-07T05:31:56Z",
"nationality": "US",
"role_type": "Director",
"first_name": "<string>",
"last_name": "<string>"
},
"residential_address": {
"residential_address_line1": "<string>",
"residential_address_city": "<string>",
"residential_address_postcode": "<string>",
"residential_address_country_code": "US",
"residential_address_state": "<string>"
},
"identification": {
"id_type": "National ID",
"id_number": "<string>",
"id_issuing_country_code": "US",
"id_expiration_date": "2023-11-07T05:31:56Z",
"id_issue_date": "2023-11-07T05:31:56Z",
"id_document_front_file_id": "<string>",
"id_document_back_file_id": "<string>"
}
}
]
}
'{
"customer_id": "<string>",
"partner_customer_id": "<string>",
"status": "Processing,Succeeded,Failed,Suspended",
"created_at": "2023-11-07T05:31:56Z",
"account_usage": {
"operating_country": "<string>",
"goods_service_description": "<string>",
"industry_category_code": "<string>",
"account_usage_product_reference": "<string>",
"estimated_monthly_revenue_currency": "<string>",
"estimated_monthly_revenue_amount": 123
},
"primary_contact": {
"contact_phone": "<string>",
"contact_email": "<string>"
},
"business_person_list": [
{
"residential_address": {
"residential_address_line1": "<string>",
"residential_address_city": "<string>",
"residential_address_postcode": "<string>",
"residential_address_country_code": "<string>",
"residential_address_state": "<string>"
},
"identification": {
"id_type": "<string>",
"id_number": "<string>",
"id_issuing_country_code": "<string>",
"id_expiration_date": "2023-11-07T05:31:56Z",
"id_issue_date": "2023-11-07T05:31:56Z",
"id_document_front_file_id": "<string>",
"id_document_back_file_id": "<string>"
}
}
]
}Modifies an existing customer’s information. As this is a PATCH request, only the fields included in the request body will be updated. The path ID must match the customer record to be modified.
curl --request POST \
--url http://127.0.0.1:8083/api/customers/{customer_id}/update \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Secret: <api-key>' \
--data '
{
"business_details": {
"business_name_english": "<string>",
"business_type": "Limited Liability Company",
"website": "https://www.example.com",
"business_identifier_type": "Business Registration",
"business_identifier_number": "<string>",
"business_identifier_country_code": "US",
"business_identifier_document_list": [
"<string>"
],
"business_name": "<string>",
"business_identifier_start_date": "2023-11-07T05:31:56Z",
"business_identifier_expiry_date": "2023-11-07T05:31:56Z"
},
"registration_address": {
"registration_address_line1": "<string>",
"registration_address_city": "<string>",
"registration_address_state": "<string>",
"registration_address_postcode": "<string>",
"registration_address_country_code": "US"
},
"account_usage": {
"operating_country": "US",
"goods_service_description": "<string>",
"industry_category_code": "<string>",
"account_usage_product_reference": "Financial Services",
"estimated_monthly_revenue_currency": "USD",
"estimated_monthly_revenue_amount": 99.99
},
"primary_contact": {
"contact_phone": "+8613800138000",
"contact_email": "service@gemini.com"
},
"business_person_list": [
{
"basic_info": {
"first_name_english": "<string>",
"last_name_english": "<string>",
"birth_date": "2023-11-07T05:31:56Z",
"nationality": "US",
"role_type": "Director",
"first_name": "<string>",
"last_name": "<string>"
},
"residential_address": {
"residential_address_line1": "<string>",
"residential_address_city": "<string>",
"residential_address_postcode": "<string>",
"residential_address_country_code": "US",
"residential_address_state": "<string>"
},
"identification": {
"id_type": "National ID",
"id_number": "<string>",
"id_issuing_country_code": "US",
"id_expiration_date": "2023-11-07T05:31:56Z",
"id_issue_date": "2023-11-07T05:31:56Z",
"id_document_front_file_id": "<string>",
"id_document_back_file_id": "<string>"
}
}
]
}
'{
"customer_id": "<string>",
"partner_customer_id": "<string>",
"status": "Processing,Succeeded,Failed,Suspended",
"created_at": "2023-11-07T05:31:56Z",
"account_usage": {
"operating_country": "<string>",
"goods_service_description": "<string>",
"industry_category_code": "<string>",
"account_usage_product_reference": "<string>",
"estimated_monthly_revenue_currency": "<string>",
"estimated_monthly_revenue_amount": 123
},
"primary_contact": {
"contact_phone": "<string>",
"contact_email": "<string>"
},
"business_person_list": [
{
"residential_address": {
"residential_address_line1": "<string>",
"residential_address_city": "<string>",
"residential_address_postcode": "<string>",
"residential_address_country_code": "<string>",
"residential_address_state": "<string>"
},
"identification": {
"id_type": "<string>",
"id_number": "<string>",
"id_issuing_country_code": "<string>",
"id_expiration_date": "2023-11-07T05:31:56Z",
"id_issue_date": "2023-11-07T05:31:56Z",
"id_document_front_file_id": "<string>",
"id_document_back_file_id": "<string>"
}
}
]
}Includes an API key in the HTTP headers to authenticate the client.
Includes an API secret in the HTTP headers to authenticate the client.
Company Details Section
Show child attributes
Registration Address Section
Show child attributes
Business Details Section
Show child attributes
Primary Contact Section
Show child attributes
List of Legal Representatives
Show child attributes
Operation Successful
Status
"Processing,Succeeded,Failed,Suspended"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes